Loading...
Searching...
No Matches
libcamera::DebayerParams Struct Reference

Struct to hold the debayer parameters. More...

Collaboration diagram for libcamera::DebayerParams:
[legend]

## Public Attributes

Matrix< float, 3, 3 > | combinedMatrix
| Colour correction matrix, including other adjustments.
RGB< float > | blackLevel
| Black level values.
float | gamma
| Gamma value, e.g. 1/2.2.
float | contrastExp
| Contrast value to be used as an exponent.
RGB< float > | gains
| Colour channel gains.

## Detailed Description

Struct to hold the debayer parameters.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/software_isp/debayer_params.h
- src/libcamera/software_isp/debayer.cpp